org.apache.tools.ant.taskdefs

## Class Sync.MyCopy

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Copy
      - - org.apache.tools.ant.taskdefs.Sync.MyCopy

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  Sync

    public static class Sync.MyCopy
    extends Copy

Subclass Copy in order to access it's file/dir maps.

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.Copy

`completeDirMap, destDir, destFile, dirCopyMap, failonerror, file, fileCopyMap, filesets, fileUtils, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, rcs, verbosity`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Sync.MyCopy()` Constructor for MyCopy.

### Method Summary

Methods
`boolean` `getIncludeEmptyDirs()` Get the includeEmptyDirs attribute.
`java.io.File` `getToDir()` Get the destination directory.
`protected void` `scan(java.io.File fromDir, java.io.File toDir, java.lang.String[] files, java.lang.String[] dirs)` Compares source files to destination files to see if they should be copied.
`protected java.util.Map` `scan(Resource[] resources, java.io.File toDir)` Compares source resources to destination files to see if they should be copied.
`protected boolean` `supportsNonFileResources()` Yes, we can.

### Methods inherited from class org.apache.tools.ant.taskdefs.Copy

`add, add, addFileset, buildMap, buildMap, createFilterChain, createFilterSet, createMapper, doFileOperations, doResourceOperations, execute, getEncoding, getFileUtils, getFilterChains, getFilterSets, getForce, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setForce, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setQuiet, setTodir, setTofile, setVerbose, validateAttributes`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sync.MyCopy

    public Sync.MyCopy()

Constructor for MyCopy.

### Method Detail

#### scan

    protected void scan(java.io.File fromDir,
            java.io.File toDir,
            java.lang.String[] files,
            java.lang.String[] dirs)

Compares source files to destination files to see if they should be copied.

Overrides:
  `scan` in class `Copy`
Parameters:
  `fromDir` - The source directory.
  `toDir` - The destination directory.
  `files` - A list of files to copy.
  `dirs` - A list of directories to copy.

#### scan

    protected java.util.Map scan(Resource[] resources,
                     java.io.File toDir)

Compares source resources to destination files to see if they should be copied.

Overrides:
  `scan` in class `Copy`
Parameters:
  `resources` - The source resources.
  `toDir` - The destination directory.
Returns:
  a Map with the out-of-date resources as keys and an array of target file names as values.

#### getToDir

    public java.io.File getToDir()

Get the destination directory.

Returns:
  the destination directory

#### getIncludeEmptyDirs

    public boolean getIncludeEmptyDirs()

Get the includeEmptyDirs attribute.

Returns:
  true if emptyDirs are to be included

#### supportsNonFileResources

    protected boolean supportsNonFileResources()

Yes, we can.

Overrides:
  `supportsNonFileResources` in class `Copy`
Returns:
  true always.
Since:
  Ant 1.7